From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-benchmarks/iozone/
Date: Thu, 28 Dec 2017 15:07:40 +0000 (UTC) [thread overview]
Message-ID: <1514473592.86518e1c9c3ddf29bdcf25d81bbb2657b9ceaa81.soap@gentoo> (raw)
commit: 86518e1c9c3ddf29bdcf25d81bbb2657b9ceaa81
Author: David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 28 13:29:42 2017 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Thu Dec 28 15:06:32 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=86518e1c
app-benchmarks/iozone: Version bump to 3.471
Package-Manager: Portage-2.3.19, Repoman-2.3.6
app-benchmarks/iozone/Manifest | 1 +
app-benchmarks/iozone/iozone-3.471.ebuild | 74 +++++++++++++++++++++++++++++++
2 files changed, 75 insertions(+)
diff --git a/app-benchmarks/iozone/Manifest b/app-benchmarks/iozone/Manifest
index 81e210aa3fc..0aa3f3722d3 100644
--- a/app-benchmarks/iozone/Manifest
+++ b/app-benchmarks/iozone/Manifest
@@ -1,3 +1,4 @@
DIST iozone3_397.tar 1679360 BLAKE2B 174d4ef11fb986f4b8bbf95774f6bf22659fb9e5a38fcd0626be8bd89303e775a9d8bc632575896885a9974239205bd3b3541da71b48bf30f80234ab577eb4eb SHA512 e154b56735c922173e7cf23344fa0a478982d202b3b831fd605481f69a77295281be121aa57a0164dc12edf5975f231339f6516da5c40906586d48ebacec7c23
DIST iozone3_408.tar 1822720 BLAKE2B 700f531addb42525b5a3e8caaabfb8e03f7d7d1fa840a840462e88bd127b508e73f4bb1362bdef1e9f1b2044b42f54ab3811e674789f1fb8d7047b15565e8ee6 SHA512 ebc808468c741fff8d7909abd7eb41303c2a68c21ed7754e12bb6f859a88a9f9d040e0cdde42cb320958fbd453ba6014ba46fb7cfb200155f55a6fa7803f5d44
DIST iozone3_430.tar 1832960 BLAKE2B 2d8cb85d444a9505550bf4a6951a83531427ba8e4493ffdd13c9435ce07452fbbd529602a7b13b120d276fd95c76609f4d47a58ff490120272b7fcb3650711e4 SHA512 f513c1a34bcdfadca0d01a942d55c7494e5646cf17384140df42643259456d41e40a54453ab3b9a1f1ebdeb456a9b4b1f836f979927cac57391b9a20ecdbcb55
+DIST iozone3_471.tar 1853440 BLAKE2B 280c821a439ad1bacbd749278385481678d644a59c14395482c8a088b0578285f389f376fb32ce3c3abde598f50d693fb0c7c9a3d6597765547a71c76d21ea1c SHA512 c61b2b8b5af3dccdb99b26aef8a0a4f2f5f467fc3985ac72ed4bb4fb36e4b7684ca6dbaa5bbc05ae0a4e73852e048e9fd2495eda9313f5abc4e631499d683aec
diff --git a/app-benchmarks/iozone/iozone-3.471.ebuild b/app-benchmarks/iozone/iozone-3.471.ebuild
new file mode 100644
index 00000000000..f65231ed5f2
--- /dev/null
+++ b/app-benchmarks/iozone/iozone-3.471.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+# TODO
+# -> linux-arm (32bit) <-
+# -> linux-AMD64 (64bit) <-
+# -> linux-ia64 (64bit) <-
+# -> linux-powerpc (32bit) <-
+# -> linux-powerpc64 (64bit) <-
+# -> linux-S390 (32bit) <-
+# -> linux-S390X (64bit) <-
+#
+# -> freebsd (32bit) <-
+# -> macosx (32bit) <-
+# -> netbsd (32bit) <-
+# -> openbsd (32bit) <-
+# -> openbsd-threads (32bit) <-
+#
+# ~ia64 ~s390 alpha(?) x86-fbsd
+
+inherit toolchain-funcs
+
+DESCRIPTION="Filesystem benchmarking program"
+HOMEPAGE="http://www.iozone.org/"
+SRC_URI="http://www.iozone.org/src/current/${PN}${PV/./_}.tar"
+
+LICENSE="freedist"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+S=${WORKDIR}/${PN}${PV/./_}
+
+src_prepare() {
+ default
+
+ # Options FIX
+ sed -i -e "s:CC =.*:CC =$(tc-getCC):g" \
+ -e "s:-O3:${CFLAGS}:g" src/current/makefile || die
+}
+
+src_configure() {
+ case ${ARCH} in
+ x86|alpha) PLATFORM="linux";;
+ arm) PLATFORM="linux-arm";;
+ ppc) PLATFORM="linux-powerpc";;
+ ppc64) PLATFORM="linux-powerpc64";;
+ amd64) PLATFORM="linux-AMD64";;
+ ia64) PLATFORM="linux-ia64";;
+ s390) PLATFORM="linux-S390";;
+ x86-fbsd) PLATFORM="freebsd";;
+ *) PLATFORM="linux-${ARCH}";;
+ esac
+}
+
+src_compile() {
+ emake -C src/current ${PLATFORM}
+}
+
+src_test() {
+ cd "${T}" || die
+ "${S}"/src/current/iozone testfile || die "self test failed"
+}
+
+src_install() {
+ dosbin src/current/{iozone,fileop}
+
+ dodoc docs/I* docs/Run_rules.doc src/current/Changes.txt
+ doman docs/iozone.1
+ cd src/current || die
+ dodoc Generate_Graphs Gnuplot.txt gengnuplot.sh gnu3d.dem
+}
next reply other threads:[~2017-12-28 15:07 UTC|newest]
Thread overview: 27+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-12-28 15:07 David Seifert [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-22 9:49 [gentoo-commits] repo/gentoo:master commit in: app-benchmarks/iozone/ Sam James
2024-12-12 11:08 Sam James
2024-12-12 11:08 Sam James
2024-11-01 15:48 Arthur Zamarin
2024-10-27 2:08 Sam James
2024-10-27 2:08 Sam James
2022-10-18 11:05 Jakov Smolić
2022-03-19 22:51 David Seifert
2022-01-05 10:01 David Seifert
2021-09-07 2:44 Sam James
2021-03-03 21:04 Sergei Trofimovich
2021-01-07 15:07 Sam James
2021-01-07 10:09 Sam James
2021-01-04 15:32 Sam James
2020-12-24 10:03 Agostino Sarubbo
2019-02-14 18:45 Thomas Deutschmann
2018-11-28 2:07 Thomas Deutschmann
2018-05-30 18:02 Mikle Kolyada
2018-05-26 12:51 David Seifert
2018-05-17 21:18 Sergei Trofimovich
2018-05-11 22:43 Sergei Trofimovich
2018-04-20 6:54 Sergei Trofimovich
2018-04-17 22:09 Thomas Deutschmann
2018-04-16 22:54 Aaron Bauman
2017-10-08 11:00 Michał Górny
2015-12-21 15:09 Patrick Lauer
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1514473592.86518e1c9c3ddf29bdcf25d81bbb2657b9ceaa81.soap@gentoo \
--to=soap@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox